Bug 5 - system resets when unmounting msdos filesystem
Summary: system resets when unmounting msdos filesystem
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Core Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 1994-10-07 03:30 UTC by Dave Evans
Modified: 2006-09-12 16:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Evans 1994-10-07 03:30:01 UTC
When unmounting an msdos filesystem, the system will reset exactly as if
the reset button had been pressed.  No core-dumps or panics are produced.
I'm using an msdos lkm, but I have also noticed the problem when msdos-fs
was compiled into the kernel.  I have taken care to ensure the lkm is
compiled in step with the kernel.

Fix: 

Fixed by Martin Renters - first flush dirty blocks.
How-To-Repeat: 
mount an msdos filesystem.
work on it for a while.
unmount it, and FOOF! system blown away.

Doesn't always happen.

Running chkdsk under msdos show no evidence, before or afterwards, of any
filesystem corruption

MSDOS version is 4.01
Comment 1 jkh freebsd_committer 1994-10-26 04:47:44 UTC
State Changed
From-To: open->closed

Martin Renters fixed the bug.